Package twisted :: Package spread :: Module banana |
[frames | no frames]

## Module twisted.spread.banana

Banana -- s-exp based protocol.

Stability: semi-stable

Future Plans: This module is almost entirely stable. The same caveat applies to it as applies to `twisted.spread.jelly`, however. Read its future plans for more details.

Author: Glyph Lefkowitz

Classes
`Banana` |
`Canana` |
`Pynana` |

Exceptions
`BananaError` |

Function Summary
| `b1282int(st)`
| ``decode`(st)` Decode a banana-encoded string.
| ``encode`(lst)` Encode a list s-expression.
| `int2b128(integer, stream)`

Variable Summary
`str` | `__version__` = `'1.37'`
`Canana` | `_i` = `<twisted.spread.banana.Canana instance at 0x85a64dc...`
`str` | `FLOAT` = `'\x84'`
`str` | `HIGH_BIT_SET` = `'\x80'`
`str` | `INT` = `'\x81'`
`str` | `LIST` = `'\x80'`
`str` | `LONGINT` = `'\x85'`
`str` | `LONGNEG` = `'\x86'`
`str` | `NEG` = `'\x83'`
`str` | `STRING` = `'\x82'`
`str` | `VOCAB` = `'\x87'`

Function Details

### decode(st) Decode a banana-encoded string.

### encode(lst) Encode a list s-expression.

Variable Details

    ### __version__ Type: `str` Value:
        '1.37'

    ### _i Type: `Canana` Value:
        <twisted.spread.banana.Canana instance at 0x85a64dc>

    ### FLOAT Type: `str` Value:
        '\x84'

    ### HIGH_BIT_SET Type: `str` Value:
        '\x80'

    ### INT Type: `str` Value:
        '\x81'

    ### LIST Type: `str` Value:
        '\x80'

    ### LONGINT Type: `str` Value:
        '\x85'

    ### LONGNEG Type: `str` Value:
        '\x86'

    ### NEG Type: `str` Value:
        '\x83'

    ### STRING Type: `str` Value:
        '\x82'

    ### VOCAB Type: `str` Value:
        '\x87'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net